Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class OperationDescription

    java.lang.Object
      |
      +--org.omg.CORBA.OperationDescription

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class OperationDescription
extends java.lang.Object
implements IDLEntity

This structure provides all data that describe an operation. This structure is used by the describe operation when it is applied to an operation.

See Also:
  Serialized Form

Field Summary
`java.lang.String[]` | `contexts` Struct member contexts
`java.lang.String` | `defined_in` Struct member defined_in
`ExceptionDescription[]` | `exceptions` Struct member exceptions
`java.lang.String` | `id` Struct member id
`OperationMode` | `mode` Struct member mode
`java.lang.String` | `name` Struct member name
`ParameterDescription[]` | `parameters` Struct member parameters
`TypeCode` | `result` Struct member result
`java.lang.String` | `version` Struct member version

Constructor Summary
`OperationDescription()` Default constructor
`OperationDescription(java.lang.String name, java.lang.String id, java.lang.String defined_in, java.lang.String version, TypeCode result, OperationMode mode, java.lang.String[] contexts, ParameterDescription[] parameters, ExceptionDescription[] exceptions)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Struct member name

### id

    public java.lang.String id

  Struct member id

### defined_in

    public java.lang.String defined_in

  Struct member defined_in

### version

    public java.lang.String version

  Struct member version

### result

    public TypeCode result

  Struct member result

### mode

    public OperationMode mode

  Struct member mode

### contexts

    public java.lang.String[] contexts

  Struct member contexts

### parameters

    public ParameterDescription[] parameters

  Struct member parameters

### exceptions

    public ExceptionDescription[] exceptions

  Struct member exceptions

Constructor Detail

### OperationDescription

    public OperationDescription()

  Default constructor

### OperationDescription

    public OperationDescription(java.lang.String name,
                                java.lang.String id,
                                java.lang.String defined_in,
                                java.lang.String version,
                                TypeCode result,
                                OperationMode mode,
                                java.lang.String[] contexts,
                                ParameterDescription[] parameters,
                                ExceptionDescription[] exceptions)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member
    `id` - id struct member
    `defined_in` - defined_in struct member
    `version` - version struct member
    `result` - result struct member
    `mode` - mode struct member
    `contexts` - contexts struct member
    `parameters` - parameters struct member
    `exceptions` - exceptions struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD